Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class EventDuration

    java.lang.Object
      com.tibco.bpm.web.client.model.types.EventDuration

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class EventDuration

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Contains the timings retrieved from Event Collector for a particular work item. For more details of the timings see the Event Collector documentation.

Duration values are all reported in milliseconds.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`EventDuration()`

Method Summary
`long` | `getAction_duration()` The total action duration for the work item.
`long` | `getActive_duration()` The total active time for the work item.
`java.util.Date` | `getCompletion_date()` The Date the work item was completed.
`java.util.Date` | `getFirst_offer_date()` The Date the work item was first offered.
`java.util.Date` | `getFirst_open_date()` The Date the work item was first opened.
`java.util.Date` | `getLast_open_date()` The Date the work item was last opened.
`java.lang.String` | `getUser_id()` The user ID associated with the work item.
`long` | `getWait_duration()` The wait between the item being offered and first opened.
`long` | `getWork_time_duration()` The length of time the item was worked on.
`java.lang.String` | `getWorkItemId()` The ID of the work item.
`void` | `setAction_duration(long action_duration)` The total action duration for the work item.
`void` | `setActive_duration(long active_duration)` The total active time for the work item.
`void` | `setCompletion_date(java.util.Date completion_date)` The Date the work item was completed.
`void` | `setFirst_offer_date(java.util.Date first_offer_date)` The Date the work item was first offered.
`void` | `setFirst_open_date(java.util.Date first_open_date)` The Date the work item was first opened.
`void` | `setLast_open_date(java.util.Date last_open_date)` The Date the work item was last opened.
`void` | `setUser_id(java.lang.String user_id)` The user ID associated with the work item.
`void` | `setWait_duration(long wait_duration)` The wait between the item being offered and first opened.
`void` | `setWork_time_duration(long work_time_duration)` The length of time the item was worked on.
`void` | `setWorkItemId(java.lang.String workItemId)` The ID of the work item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventDuration

    public EventDuration()

Method Detail

### getWorkItemId

    public java.lang.String getWorkItemId()

  The ID of the work item.

  Returns:
    Returns the workItemId.

### setWorkItemId

    public void setWorkItemId(java.lang.String workItemId)

  The ID of the work item.

  Parameters:
    `workItemId` - The workItemId to set.

### getActive_duration

    public long getActive_duration()

  The total active time for the work item.

  Returns:
    Returns the active_duration.

### setActive_duration

    public void setActive_duration(long active_duration)

  The total active time for the work item.

  Parameters:
    `active_duration` - The active_duration to set.

### getWait_duration

    public long getWait_duration()

  The wait between the item being offered and first opened.

  Returns:
    Returns the wait_duration.

### setWait_duration

    public void setWait_duration(long wait_duration)

  The wait between the item being offered and first opened.

  Parameters:
    `wait_duration` - The wait_duration to set.

### getAction_duration

    public long getAction_duration()

  The total action duration for the work item.

  Returns:
    Returns the action_duration.

### setAction_duration

    public void setAction_duration(long action_duration)

  The total action duration for the work item.

  Parameters:
    `action_duration` - The action_duration to set.

### getWork_time_duration

    public long getWork_time_duration()

  The length of time the item was worked on.

  Returns:
    Returns the work_time_duration.

### setWork_time_duration

    public void setWork_time_duration(long work_time_duration)

  The length of time the item was worked on.

  Parameters:
    `work_time_duration` - The work_time_duration to set.

### getFirst_offer_date

    public java.util.Date getFirst_offer_date()

  The Date the work item was first offered.

  Returns:
    Returns the first_offer_date.

### setFirst_offer_date

    public void setFirst_offer_date(java.util.Date first_offer_date)

  The Date the work item was first offered.

  Parameters:
    `first_offer_date` - The first_offer_date to set.

### getFirst_open_date

    public java.util.Date getFirst_open_date()

  The Date the work item was first opened.

  Returns:
    Returns the first_open_date.

### setFirst_open_date

    public void setFirst_open_date(java.util.Date first_open_date)

  The Date the work item was first opened.

  Parameters:
    `first_open_date` - The first_open_date to set.

### getLast_open_date

    public java.util.Date getLast_open_date()

  The Date the work item was last opened.

  Returns:
    Returns the last_open_date.

### setLast_open_date

    public void setLast_open_date(java.util.Date last_open_date)

  The Date the work item was last opened.

  Parameters:
    `last_open_date` - The last_open_date to set.

### getCompletion_date

    public java.util.Date getCompletion_date()

  The Date the work item was completed.

  Returns:
    Returns the completion_date.

### setCompletion_date

    public void setCompletion_date(java.util.Date completion_date)

  The Date the work item was completed.

  Parameters:
    `completion_date` - The completion_date to set.

### getUser_id

    public java.lang.String getUser_id()

  The user ID associated with the work item.

  Returns:
    Returns the user_id.

### setUser_id

    public void setUser_id(java.lang.String user_id)

  The user ID associated with the work item.

  Parameters:
    `user_id` - The user_id to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.